Subject: Re: linux-next: Signed-off-bys missing for commits in the block tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 31 Aug 2017 03:34:00 +1000

Hi Christoph,

On Wed, 30 Aug 2017 19:09:36 +0200 Christoph Hellwig <[email-masked]> wrote:
>
> They all have singnoffs from the original committer.  It's just
> that we team-maintain the tree and had a rebase.
> 
> Are we supposed to add another Signoff just for the rebase?

From a previous discussion, Linus said:

"On Wed, Aug 2, 2017 at 5:28 PM, Stephen Rothwell <[email-masked]> wrote:
>
> I would say that if you rebase someone's commit(s), then you are on the
> "patch's delivery path" and so should add a Signed-off-by tag.  

Yeah, I agree. Rebasing really is pretty much the exact same thing as
applying a patch."

So, yes, you are suppose to.
-- 
Cheers,
Stephen Rothwell